MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
ExpatParser Class Referencefinal

`#include <ExpatParser.hxx>`

## Public Member Functions
| ExpatParser (void *userData)
| ExpatParser (ExpatNamespaceSeparator ns, void *userData)
| ~ExpatParser ()
| ExpatParser (const ExpatParser &)=delete
ExpatParser & | operator= (const ExpatParser &)=delete
void | SetElementHandler (XML_StartElementHandler start, XML_EndElementHandler end)
void | SetCharacterDataHandler (XML_CharacterDataHandler charhndl)
void | Parse (const char *data, size_t length, bool is_final)
void | Parse (InputStream &is)

## Static Public Member Functions
static gcc_pure const char * | GetAttribute (const XML_Char **atts, const char *name)
static gcc_pure const char * | GetAttributeCase (const XML_Char **atts, const char *name)

## Detailed Description

Definition at line 45 of file ExpatParser.hxx.

## Constructor & Destructor Documentation

ExpatParser::ExpatParser | ( | void * | userData | ) |
| inline explicit

Definition at line 49 of file ExpatParser.hxx.

ExpatParser::ExpatParser | ( | ExpatNamespaceSeparator | ns,
|  | void * | userData
| ) |  |
| inline

Definition at line 54 of file ExpatParser.hxx.

ExpatParser::~ExpatParser | ( |  | ) |
| inline

Definition at line 59 of file ExpatParser.hxx.

ExpatParser::ExpatParser | ( | const ExpatParser & |  | ) |
| delete

## Member Function Documentation

static gcc_pure const char* ExpatParser::GetAttribute | ( | const XML_Char ** | atts,
|  | const char * | name
| ) |  |
| static

static gcc_pure const char* ExpatParser::GetAttributeCase | ( | const XML_Char ** | atts,
|  | const char * | name
| ) |  |
| static

ExpatParser& ExpatParser::operator= | ( | const ExpatParser & |  | ) |
| delete

void ExpatParser::Parse | ( | const char * | data,
|  | size_t | length,
|  | bool | is_final
| ) |  |

void ExpatParser::Parse | ( | InputStream & | is | ) |

void ExpatParser::SetCharacterDataHandler | ( | XML_CharacterDataHandler | charhndl | ) |
| inline

Definition at line 71 of file ExpatParser.hxx.

void ExpatParser::SetElementHandler | ( | XML_StartElementHandler | start,
|  | XML_EndElementHandler | end
| ) |  |
| inline

Definition at line 66 of file ExpatParser.hxx.

The documentation for this class was generated from the following file:

- lib/expat/ExpatParser.hxx